Bug 53568 - Kernel fails to use UDMA66 when explicitly asked to.
Summary: Kernel fails to use UDMA66 when explicitly asked to.
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
(Show other bugs)
Version: 7.3
Hardware: i386 Linux
medium
low
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-09-11 22:04 UTC by David Woodhouse
Modified: 2008-08-01 16:22 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 15:39:10 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description David Woodhouse 2001-09-11 22:04:37 UTC
HPT366 IDE controller on BP6 motherboard with FUJITSU MPE3136AT IDE drive.
Has worked perfectly for some time at UDMA66 speeds, with either
CONFIG_IDEDMA_IVB set or 'ide4=ata66' on the commandline to tell it to
assume that it's got an 80-ribbon cable plugged in (which it has).

The Roswell kernel falls back to UDMA33, though. No messages saying why.

ide: Assuming 33MHz PCI bus speed for PIO modes; override with idebus=xx
PIIX4: IDE controller on PCI bus 00 dev 39
PIIX4: chipset revision 1
PIIX4: not 100% native mode: will probe irqs later
    ide0: BM-DMA at 0xf000-0xf007, BIOS settings: hda:pio, hdb:pio
    ide1: BM-DMA at 0xf008-0xf00f, BIOS settings: hdc:pio, hdd:pio
PCI_IDE: unknown IDE controller on PCI bus 00 device 49, VID=8086, DID=1222
PCI: Device 00:09.1 not available because of resource collisions
PCI_IDE: chipset revision 2
PCI_IDE: not 100% native mode: will probe irqs later
PCI_IDE: port 0x01f0 already claimed by ide0
PCI_IDE: port 0x0170 already claimed by ide1
PCI_IDE: neither IDE port enabled (BIOS)
PDC20267: IDE controller on PCI bus 00 dev 58
PDC20267: chipset revision 2
PDC20267: not 100% native mode: will probe irqs later
PDC20267: (U)DMA Burst Bit ENABLED Primary PCI Mode Secondary PCI Mode.
    ide2: BM-DMA at 0xa800-0xa807, BIOS settings: hde:DMA, hdf:DMA
    ide3: BM-DMA at 0xa808-0xa80f, BIOS settings: hdg:DMA, hdh:DMA
HPT366: onboard version of chipset, pin1=1 pin2=2
HPT366: IDE controller on PCI bus 00 dev 98
HPT366: chipset revision 1
HPT366: not 100% native mode: will probe irqs later
HPT366: ATA-66/100 forced bit set (WARNING)!!
    ide4: BM-DMA at 0xb800-0xb807, BIOS settings: hdi:pio, hdj:pio
HPT366: IDE controller on PCI bus 00 dev 99
HPT366: chipset revision 1
HPT366: not 100% native mode: will probe irqs later
    ide5: BM-DMA at 0xc400-0xc407, BIOS settings: hdk:pio, hdl:pio
hda: SAMSUNG SV0432D, ATA DISK drive
hdc: Pioneer DVD-ROM ATAPIModel DVD-103S 011, ATAPI CD/DVD-ROM drive
hde: IBM-DTLA-307045, ATA DISK drive
hdi: FUJITSU MPE3136AT, ATA DISK drive
ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
ide1 at 0x170-0x177,0x376 on irq 15
ide2 at 0x9800-0x9807,0x9c02 on irq 18
ide4 at 0xb000-0xb007,0xb402 on irq 18
hda: 8421840 sectors (4312 MB) w/480KiB Cache, CHS=8912/15/63, UDMA(33)
hde: 90069840 sectors (46116 MB) w/1916KiB Cache, CHS=89355/16/63, UDMA(100)
hdi: 26688576 sectors (13665 MB) w/512KiB Cache, CHS=26476/16/63, UDMA(33)
ide-floppy driver 0.97
Partition check:
 hda: hda1 hda2
 hde: hde1 hde2 hde3 hde4 < hde5 hde6 hde7 >
 hdi: hdi1 hdi2 hdi3 < hdi5 hdi6 hdi7 hdi8 hdi9 hdi10 >

Comment 1 David Woodhouse 2001-11-04 09:59:35 UTC
Still in 7.2 erratum kernel (2.4.9-7smp).

Comment 2 Arjan van de Ven 2002-01-18 19:46:56 UTC
Rawhide has the new IDE code

Comment 3 David Woodhouse 2002-04-28 13:33:43 UTC
Problem still exists.

Whatever the reason for falling back to UDMA33 is, something should be printed
at startup to explain it.

Comment 4 Bugzilla owner 2004-09-30 15:39:10 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.